Open Chinese Convert 0.4.3 A project for conversion between Traditional and Simplified Chinese

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

All Data Structures Files Functions Variables Groups Pages
Functions
encoding.h File Reference

UCS4-UTF8 Encoding module. More...

`#include "common.h"`

Go to the source code of this file.

## Functions
ucs4_t * | utf8_to_ucs4 (const char *utf8, size_t length)
| Converts a UTF-8 string into UCS-4. More...
char * | ucs4_to_utf8 (const ucs4_t *ucs4, size_t length)
| Converts a UCS-4 string into UTF-8. More...
size_t | ucs4len (const ucs4_t *str)
int | ucs4cmp (const ucs4_t *str1, const ucs4_t *str2)
void | ucs4cpy (ucs4_t *dest, const ucs4_t *src)
void | ucs4ncpy (ucs4_t *dest, const ucs4_t *src, size_t len)

## Detailed Description

UCS4-UTF8 Encoding module.

Open Chinese Convert

Copyright 2010-2013 BYVoid byvoi.nosp@m.d@by.nosp@m.void..nosp@m.com

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Definition in file encoding.h.

## Function Documentation

char* ucs4_to_utf8 | ( | const ucs4_t * | ucs4,
|  | size_t | length
| ) |  |

Converts a UCS-4 string into UTF-8.

Parameters

  ucs4 | UCS-4 string
  length | Length of UCS-4 string or 0 to consider as \0 ended string

Returns
  The converted UTF-8 string. Must be free when not in use.

Definition at line 127 of file encoding.c.

ucs4_t* utf8_to_ucs4 | ( | const char * | utf8,
|  | size_t | length
| ) |  |

Converts a UTF-8 string into UCS-4.

Parameters

  utf8 | UTF-8 string
  length | Length of UTF-8 string or 0 to consider as \0 ended string

Returns
  The converted UCS-4 string. Must be free when not in use.

Definition at line 26 of file encoding.c.